#### 标签
##### 为什么要打标签？
Git 可以给历史中的某一个提交打上标签，以示重要。 比较有代表性的是人们会使用这个功能来标记发布结点（v1.0 等等）。
##### 相关命令
列出标签
```shell
root@DESKTOP-33IBDMI:/mnt/e/git# git tag
v1
```
给最近一次提交打上标签
```shell
格式：git tag <标签名>
root@DESKTOP-33IBDMI:/mnt/e/git# git tag v2
```
删除指定标签
```shell
格式：git tag -d <标签名>
root@DESKTOP-33IBDMI:/mnt/e/git# git tag -d v1
Deleted tag 'v1' (was 3704cb3)
```
显示指定标签相关的那次提交的相关信息
```shell
格式：git show <标签名>
举例：root@DESKTOP-33IBDMI:/mnt/e/git# git show v2
```
给指定的commit打上标签
```shell
格式：git tag <标签名> <commit id>
举例：git tag v1 23e8a2a8e5
```
把标签推送到远程服务器，标签必须在本地存在
```shell
格式：git push <远程仓库> <标签名>
```
删除远程标签
```shell
1、先删除本地的标签：git tag -d <标签名>
2、再推送到远程：git push <远程仓库> :refs/tags/<标签名>
```