#### 版本查看：
##### 相关命令
查看git的所有提交历史：
```shell
root@DESKTOP-33IBDMI:/mnt/e/git# git log
commit 3704cb38321c5903f02f27f6c8982155823cca9d (HEAD -> master, tag: v2)
Author: yx <yx@qq.com>
Date:   Tue Dec 11 16:58:53 2018 +0800

    11.txt
commit 448a8457b555a8b87eba08e999db5b666c8c7205
Author: yx <yx@qq.com>
Date:   Tue Dec 11 16:54:44 2018 +0800

     s w
......
```
查看指定几次提交
```shell
git log -3				#查看最近3次提交，数字部分自定义
```
查看最近几次提交的不同点
```shell
git log -p -2			#数字部分自定义
```
查看具体某个作者的提交
```shell
git log --author=yx	  #查看作者为yx的提交历史，可指定其它作者
```
查看简要的提交历史
```shell
git log --oneline
```
以一个简单的线串联起整个提交历史
```shell
git log --graph
```
注：当用git log去找回退到旧版后，新版本的commit id找不到时，可以用：git reflog来找，这个命令记录了你的每一次命令。

#### 更改提交
##### 相关命令
回退到指定版本，工作区和暂存区内容均改变
```shell
格式：git reset --hard <commit id>
举例：git reset --hard 448a845
```
移除不必要添加到暂存区的文件
```shell
格式：git reset HEAD <文件名>
举例：
root@DESKTOP-33IBDMI:/mnt/e/git# git reset HEAD 11.txt
Unstaged changes after reset:
M       11.txt
```
回退到上一次提交，暂存区内容改变，工作区内容不变
```shell
git reset HEAD^
=
git reset --mixed HEAD^（默认选项）将HEAD指向指定的提交，暂存区的内容随之改变，工作区内容不变
```
回退上一次提交，暂存区跟工作区内容都会改变
```shell
git reset --hard HEAD^
```
修改上一次提交，即把上次的提交重新回到提交之前的暂存区状态
```shell
git reset --soft HEAD^
```