#### Gitignore文件
##### 为什么要使用.gitignore文件？
大量与项目无关的文件全推到远程仓库上，同步的时候会非常慢，且跟编辑器相关的一些配置推上去之后，别人更新也会受其影响。所以，我们使用该文件，对不必要的文件进行忽略，使其不被git追踪

且一般情况下，.gitignore文件，在项目一开始创建的时候就创建，并推送到远程服务器上。这样大家初次同步项目的时候，就是用到该文件，避免以后，团队成员把与项目无关的文件，传到远程服务器上

##### .gitignore文件匹配规则：
以下为.gitignore匹配规则的一些举例：

规则1、*.log 表示忽略项目中所有以.log结尾的文件

规则2、123?.log 表示忽略项目中所有以123加任意一个字符的文件

规则3、/error.log 表示忽略项目中根目录中的error.log 这个文件

规则4、src/main/test/* 表示忽略/src/main/test/目录下的所有文件

规则5、**/java/ 表示忽略匹配所有java目录下的所有文件

规则6、!/error.log 表示在之前的匹配规则下，被命中的文件，可以使用!对前面的规则进行否定

对于已经提交到远程或本地仓库的文件，.gitignore配置之后不会生效。我们必须先删除本地暂存区里的文件，之后在加上.gitignore 文件，最后再把变更提交到远程仓库上。
步骤：
git rm -r --cached .
git add .
git commit -m 'update .gitignore'
git push -u origin master